%define redhat %(test -e /etc/redhat-release && echo 1 || echo 0)
%define vine   %(test -e /etc/vine-release   && echo 1 || echo 0)
%define suse   %(test -e /etc/SuSE-release   && echo 1 || echo 0)

%if %redhat
%define qt_lib qt
%define qt_devel qt-devel
%define qt_make qmake-qt4
%define glu_devel mesa-libGLU-devel
%endif

%if %vine
%define qt_lib qt4
%define qt_devel qt4-devel
%define qt_make qmake
%define glu_devel mesa-libGLU-devel
%endif

%if %suse
%define qt_lib libqt4
%define qt_devel libqt4-devel
%define qt_make qmake
%define glu_devel glu-devel
%endif

Name: vdvge
Summary: Volume Data Visualizer for Google Earth (VDVGE)
Version: 1.1.7
Release: 1
License: GPLv3

Group: Development/Libraries
URL: http://www.jamstec.go.jp/esc/research/Perception/vdvge.ja.html
Vendor: JAMSTEC

Source0: vdvge-%{version}-source.tar.gz
Patch0: vdvge-%{version}-source.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gcc, gcc-c++, make
BUildRequires: %{glu_devel}
BuildRequires: %{qt_devel}
Requires: %{qt_lib}


%description
    Volume Data Visualizer for Google Earth (VDVGE) renders 3D graphic arts with the data used in GrADS.


%prep
%setup -q -n %{name}-%{version}-source

qtmjver=`%{qt_make} -query QT_VERSION | cut -d . -f 1`
qtmnver=`%{qt_make} -query QT_VERSION | cut -d . -f 2`
qtpatch=`echo "$qtmjver.$qtmnver < 4.8" | bc`

if [ $qtpatch -eq 1 ]; then
%patch0 -p1
fi


%build
%{qt_make}
make


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cp VDVGE ${RPM_BUILD_ROOT}/usr/bin


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%{_bindir}/VDVGE


%changelog
* Wed Jun 11 2014 Tsuyoshi Yamaura <tyamaura@riken.jp> - 1.1.7-1
- initial package
